Search Results for

Show / Hide Table of Contents

# Class Dialog

The Dialog View is a Window that by default is centered and contains one or more Buttons. It defaults to the Dialog color scheme and has a 1 cell padding around the edges.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog
FileDialog
Wizard

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Remarks

To run the Dialog modally, create the Dialog, and pass it to Run(Func<Exception, Boolean>). This will execute the dialog until it terminates via the [ESC] or [CTRL-Q] key, or when one of the views or buttons added to the dialog calls RequestStop(Toplevel).

##### Inherited Members

Window.Add(View)
Window.Remove(View)
Window.RemoveAll()
Window.Redraw(Rect)
Window.OnCanFocusChanged()
Window.OnTitleChanging(ustring, ustring)
Window.OnTitleChanged(ustring, ustring)
Window.Title
Window.Border
Window.Text
Window.TextAlignment
Window.TitleChanging
Window.TitleChanged
Toplevel.OnLoaded()
Toplevel.OnAlternateForwardKeyChanged(Key)
Toplevel.OnAlternateBackwardKeyChanged(Key)
Toplevel.OnQuitKeyChanged(Key)
Toplevel.Create()
Toplevel.OnKeyDown(KeyEvent)
Toplevel.OnKeyUp(KeyEvent)
Toplevel.ProcessColdKey(KeyEvent)
Toplevel.PositionToplevel(Toplevel)
Toplevel.MouseEvent(MouseEvent)
Toplevel.WillPresent()
Toplevel.MoveNext()
Toplevel.MovePrevious()
Toplevel.RequestStop()
Toplevel.RequestStop(Toplevel)
Toplevel.PositionCursor()
Toplevel.GetTopMdiChild(Type, String[])
Toplevel.ShowChild(Toplevel)
Toplevel.Running
Toplevel.CanFocus
Toplevel.Modal
Toplevel.MenuBar
Toplevel.StatusBar
Toplevel.IsMdiContainer
Toplevel.IsMdiChild
Toplevel.Loaded
Toplevel.Ready
Toplevel.Unloaded
Toplevel.Activate
Toplevel.Deactivate
Toplevel.ChildClosed
Toplevel.AllChildClosed
Toplevel.Closing
Toplevel.Closed
Toplevel.ChildLoaded
Toplevel.ChildUnloaded
Toplevel.Resized
Toplevel.AlternateForwardKeyChanged
Toplevel.AlternateBackwardKeyChanged
Toplevel.QuitKeyChanged
View.GetMinWidthHeight(Size)
View.SetMinWidthHeight()
View.UpdateTextFormatterText()
View.ProcessResizeView()
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.OnDrawContent(Rect)
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutSubviews()
View.ToString()
View.GetAutoSize()
View.GetHotKeySpecifierLength(Boolean)
View.GetTextFormatterBoundsSize()
View.GetBoundsTextFormatterSize()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.ForceValidatePosDim
View.TextFormatter
View.SuperView
View.HasFocus
View.Focused
View.MostFocused
View.ColorScheme
View.AutoSize
View.PreserveTrailingSpaces
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.IsAdded
View.Enabled
View.Visible
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.DrawContent
View.DrawContentComplete
View.KeyPress
View.KeyDown
View.KeyUp
View.LayoutStarted
View.LayoutComplete
View.Initialized
Responder.Dispose()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Dialog : Window

### Constructors

#### Dialog()

Initializes a new instance of the Dialog class using Computed.

##### Declaration

    public Dialog()

#### Dialog(ustring, Int32, Int32, Button[])

Initializes a new instance of the Dialog class using Computed positioning and an optional set of Buttons to display

##### Declaration

    public Dialog(ustring title, int width, int height, params Button[] buttons)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title for the dialog.
System.Int32 | width | Width for the dialog.
System.Int32 | height | Height for the dialog.
Button[] | buttons | Optional buttons to lay out at the bottom of the dialog.

#### Dialog(ustring, Button[])

Initializes a new instance of the Dialog class using Computed positioning and with an optional set of Buttons to display

##### Declaration

    public Dialog(ustring title, params Button[] buttons)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title for the dialog.
Button[] | buttons | Optional buttons to lay out at the bottom of the dialog.

### Properties

#### ButtonAlignment

Determines how the Dialog Buttons are aligned along the bottom of the dialog.

##### Declaration

    public Dialog.ButtonAlignments ButtonAlignment { get; set; }

##### Property Value

Type | Description
--- | ---
Dialog.ButtonAlignments |

### Methods

#### AddButton(Button)

Adds a Button to the Dialog, its layout will be controlled by the Dialog

##### Declaration

    public void AddButton(Button button)

##### Parameters

Type | Name | Description
--- | --- | ---
Button | button | Button to add.

#### ProcessKey(KeyEvent)

If the view is focused, gives the view a chance to process the keystroke.

##### Declaration

    public override bool ProcessKey(KeyEvent kb)

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

Toplevel.ProcessKey(KeyEvent)

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize